%define gimpplugindir %(gimptool-2.0 --gimpplugindir)

Name: greycstoration
Version: 2.8
Release: alt1

Summary: GREYcstoration - tool for image denoising and interpolation
License: CeCILL
Group: Graphics

Url: http://cimg.sourceforge.net/greycstoration/
Source: http://downloads.sourceforge.net/cimg/GREYCstoration-%version.zip

# Automatically added by buildreq on Tue Mar 11 2008
BuildRequires: gcc-c++ libXrandr-devel libfftw3-devel libgimp-devel libjpeg-devel libtiff-devel unzip

%description
GREYCstoration is an open source image regularization algorithm which
processes an image by locally removing small variations of pixel intensities
while preserving significant global image features, such as sharp edges and
corners. The most direct application of image regularization is image
denoising. By extension, it can also be used to inpaint or resize images.

%package -n gimp-plugin-greycstoration
Summary: Image denoising and interpolation plugin for GIMP
Group: Graphics
Obsoletes: gimp2-plugin-greystoration < %version-%release
Provides: gimp2-plugin-greystoration = %version-%release
Requires: gimp

%description -n gimp-plugin-greycstoration
GREYCstoration is an open source image regularization algorithm which
processes an image by locally removing small variations of pixel intensities
while preserving significant global image features, such as sharp edges and
corners. The most direct application of image regularization is image
denoising. By extension, it can also be used to inpaint or resize images.

%prep
%setup -n GREYCstoration-%version

%build
# Fix wrong include
%__subst 's|plugins/CImg.h|CImg.h|' src/greycstoration4gimp.cpp

%make CIMG_JPEG_FLAGS="-Dcimg_use_jpeg -ljpeg" \
	CIMG_TIFF_FLAGS="-Dcimg_use_tiff -ltiff" \
	CIMG_FFTW3_FLAGS="-Dcimg_use_fftw3 -lfftw3" \
	-C src olinux

%install
install -pD -m755 src/greycstoration %buildroot%_bindir/greycstoration
install -pD -m755 src/greycstoration4gimp %buildroot%gimpplugindir/plug-ins/greycstoration

%files
%doc Licence_CeCILL_V2-en.txt
%_bindir/*

%files -n gimp-plugin-greycstoration
%doc Licence_CeCILL_V2-en.txt
%gimpplugindir/plug-ins/*

%changelog
* Tue Mar 11 2008 Victor Forsyuk <force@altlinux.org> 2.8-alt1
- 2.8

* Wed Jan 09 2008 Victor Forsyuk <force@altlinux.org> 2.6-alt1
- 2.6

* Mon Nov 26 2007 Victor Forsyuk <force@altlinux.org> 2.5.2-alt2
- "Requires" for gimp was misplaced and put in standalone package, not
  gimp plugin.

* Wed Sep 19 2007 Victor Forsyuk <force@altlinux.org> 2.5.2-alt1
- 2.5.2

* Wed Aug 03 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.1.2-alt2
- Minor spec changes
- Added russian description

* Wed Jul 27 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.1.2-alt1
- Initial Sisyphus build
- Version 0.1.2
- Use table and notebook for dialog
